/**
 * @file draw_tests.c
 * @author Boris Stefanovic, Joey Martig
 * @brief Test des méthodes d'affichages de lignes et de cercles.
 * @date 23.05.2022
 */

#include <stdlib.h>
#include "draw.h"

int main() {
	struct gfx_context_t* ctxt = gfx_create("main", 100, 100);
	
	coordinates_t src = coordinates_create(50, 50);
	coordinates_t dst = coordinates_create(75, 50);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(72, 62);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(62, 72);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(50, 75);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(38, 72);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(28, 62);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(25, 50);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(28, 38);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(37, 28);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(50, 25);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(62, 28);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	dst = coordinates_create(72, 37);
	gfx_draw_line(ctxt, src, dst, COLOR_WHITE);

	coordinates_t c = coordinates_create(50, 50);
	int r = 25;
	gfx_draw_circle(ctxt, c, r, COLOR_RED);

	while (true) {
        if (gfx_keypressed() == SDLK_ESCAPE)
            break;

        gfx_present(ctxt);
    }

	gfx_destroy(ctxt);
	return EXIT_SUCCESS;
}
